TONTONDocs
TON CenterAPI referenceConfiguration

Get libraries

Return smart contract library code by hash.

GET
/api/v2/getLibraries
array<TonHash>

Query Parameters

libraries*array<>

Hashes of libraries to fetch. Provide one or more library cell hashes in hex format.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/getLibraries?libraries=8f452d7a4dfd74066b682365177259ed05734435be76b5fd4bd5d8af2b7c3d68"
{
  "ok": true,
  "result": {
    "@type": "smc.libraryResult",
    "result": [
      {
        "@type": "smc.libraryEntry",
        "hash": "string",
        "data": "string"
      }
    ]
  },
  "@extra": "string"
}
{
  "ok": false,
  "code": 401,
  "error": "API key does not exist"
}
{
  "ok": false,
  "code": 403,
  "error": "Network not allowed"
}
{
  "ok": false,
  "code": 422,
  "error": "failed to parse libraries"
}
{
  "ok": false,
  "code": 429,
  "error": "Ratelimit exceeded"
}
{
  "ok": false,
  "code": 504,
  "error": "LITE_SERVER_NETWORK timeout"
}

Last updated on

On this page

No Headings